/*!
 * Hoja de estilos para vistas personalizadas
 * Todos los estilos que no pertencen a Inspinia
 */

/*  Variables root */
:root {
  --animate-repeat:1
}

/*! Reset */
a,
a:link,
a:focus,
a:hover,
a:visited,
a:active {
  color: #676a6c;
  text-decoration: none;
}
.a-btn {
  color: white !important;
}
.no-link {
  color: inherit;
}
.no-link:hover, .no-link:active {
  color: inherit;
}
.vertical-table > tbody > tr > td {
  vertical-align: middle;
}
.padding-table > tbody > tr > td,
.padding-table > thead > tr > th {
  padding: 15px;
}
.form-control-custom {
  display: inline-block;
  height: 30px;
  width: 500px;
  max-width: 100%;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #e7eaec;
}

/* boton tooltip */
.sin-fondo-btn{
  background-color: transparent;
}
/*modal alerta*/
.tooltip{
  z-index: 4000!important;
}
.email-help{
  display: none;
}
.check-not-display {
  display: none;
}

.check-display {
  display: inline-block !important;
}
.tags-disabled .bootstrap-tagsinput{
  background-color: #e9ecef;
  opacity: 1;
}
#alarmModal .modal-content{
  min-height: 444px!important;
}
.suscribe-success {
  color: #25664E !important;
}
.email-incorrecto {
  display: block;
  color: rgb(133, 39, 39);
}
.bootstrap-tagsinput .tag{
  font-size: 14px;
}
.enabled-row{
  margin-bottom: 19px;
}
.inbox-title-responsive{
  padding: 15px 26px 8px 15px;
}
.boton-confirmar{
  margin-right: 3%;
  font-size: 16px;
  box-shadow: 0px 2px 1px rgba(0, 0, 0, 0.2);
  background-color: #1AB38E;
}
.boton-checkbox-enabled{
  margin-top: 9px!important;
}
#alarmModal .modal-lg{
  max-width: 700px;
  font-size: 15px;
}
.check-alerta{
  margin-left: 0!important;
}
#alarmModal .help{
  font-size: 12px;
}
.boton-cerrar{
  width: 30px;
  height:30px;
  color:#ED5565;
}
.header-modal{
  display: inline-block;
  font-weight: normal;
}
.alert-body{
  display: block!important;
}
#side-menu{
  display: block;
}
.menu-responsive > .nav.metismenu > .nav-item > ul {
  flex-wrap: nowrap;
}
.nav-vertical button {
  text-align: left;
  margin-top: 0px;
  margin-left: 15px;
  margin-right: 25px;
  font-weight: bold;
}
.nav-vertical{
  display: block!important;
}
/* #disconnected_device .bootstrap-tagsinput{
  display: block!important;
} */
#disconnected_device .bootstrap-tagsinput {
  display: flex;
  overflow-x: auto !important;
}
.nav-vertical .nav-link{
  overflow: hidden;
  white-space: nowrap;
  margin: 0%;
  display: inline;
  color: #767676;
}
.nav-vertical .nav-link.active {
  background-color: #2D9CDB;
}

#alarmModal .bootstrap-tagsinput{
  display: flex;
  overflow-x: auto !important ;
}
.title-mobile{
  display: none;
  color: rgb(88, 88, 88);
}
.estado-alerta-titulo{
  font-size: 13px;
}
.descripcion-alerta-equipo{
  font-size: 12px;
  margin-top: 10px;
}
.segundo-contenedor-titulo-alertas{
  margin-left: 0.25rem!important ;
}
.tooltip-alerta-equipo{
  padding-bottom: 2px!important;
  padding-top: 0px!important;
}
#threshold_disconnected_device{
  margin-top: 3px;
}
@media (max-width: 1024px) {
  .tooltip-alerta{
    padding: 0;
  }
  .title-alertas-detalle{
    width: 50%;
  }
  .title-mobile{
    display: block;
    color: rgb(88, 88, 88);
  }
  #lista .col-5 {
    width: 100%;
  }
  .estado-alerta-titulo{
    display: none;
  }
  #lista{
    justify-content: center!important;
  }
}
#historial-almacenamiento-title{
  font-size: 21px;
}
.not-absolute{
  position: static;
}
/* sidebar fiixed */
.mini-navbar div.sidebar-collapsed{
  position: fixed;
}
.nav.metismenu > li{
  width: 220px;
}

.mini-navbar .nav.metismenu > li{
  width: 70px;
}
@media (max-width: 1024px) {
  .contenedor-titulo-alerta .label-warning{
    margin: 0%!important;
  }
  .segundo-contenedor-titulo-alertas{
    margin-left: 0%!important ;
  }
  .contenedor-titulo-alerta{
    /* padding-left: 0%!important; */
    padding-right: 0%!important;
  }
  .estado-alerta-titulo {
    padding: 0%;
    font-size: 11px;
  }
}
@media (min-width: 500px) {
  #v-pills-sonda-sin-reportar-content{
    min-height: max-content!important;
  }
  #alarmModal .modal-content{
    min-height: 395px!important;
  }
  
  #alarmModal .bootstrap-tagsinput{
    min-width: 305px!important;
    max-width: 305px!important;
  }
  #alarmModal .modal-lg{
    font-size: 17px;
  }
  .nav-vertical .nav-link{
    margin: 0px 36px 0px 15px;
    display: flex;
  }
  #v-pills-bajo-nivel{
    margin-top: 15px;
  }
  .alert-body{
    display: flex!important;
  }
  /* .nav{
    display: flex;
  } */
  .nav-vertical{
    min-width: 222px;
    font-size: 16px;
    margin-bottom: 20px;
  }
}
/*! Estado de conectividad  */
#cloud-connectivity:hover .fa-chevron-right {
  opacity: 1;
}
#cloud-connectivity .fa-chevron-right {
  opacity: 0;
}
.btn-pill {
  border-radius: 4px;
  padding: 10px;
}
.btn-pill:hover,
.btn-pill:focus {
  background-color: #efefef !important;
}
.box-cloud h3 {
  padding: 0;
  margin: 0;
  /* Reemplaza: Nombre muy largo -> Nombre muy l... */
  width: 100%;
  overflow: hidden; 
  white-space: nowrap; 
  text-overflow: ellipsis;
}
.box-cloud .fa:hover {
  color: inherit;
}
.box-cloud div.text-right {
  max-height: 37px;
}
.box-cloud .fa {
  margin-top: 15px;
}
.popover:hover {
  cursor:pointer;
}
.sync:hover {
  cursor: pointer;
}
.data-cloud {
  font-size: 1.1em;
}
@media (max-width: 360px) {
  #tableUploadGeneralContainer {
    margin-left: -63px;
  }
}

/* Animation */
.animated {
  -webkit-animation-duration: .5s;
  animation-duration: .5s;
}
/*!
 * animate.css - https://animate.style/
 * Version - 4.1.1
 * Licensed under the MIT license - https://opensource.org/licenses/MIT
 * compat version (animate.compat.css)
 * Copyright (c) 2021 Animate.css
 */
 
.animated.repeat-1 {
  -webkit-animation-iteration-count:1;
  animation-iteration-count:1;
  -webkit-animation-iteration-count:var(--animate-repeat);
  animation-iteration-count:var(--animate-repeat)
}
.animated.repeat-2 {
  -webkit-animation-iteration-count:2;
  animation-iteration-count:2;
  -webkit-animation-iteration-count:calc(var(--animate-repeat)*2);
  animation-iteration-count:calc(var(--animate-repeat)*2)
}
.animated.repeat-3 {
  -webkit-animation-iteration-count:3;
  animation-iteration-count:3;
  -webkit-animation-iteration-count:calc(var(--animate-repeat)*3);
  animation-iteration-count:calc(var(--animate-repeat)*3)
}

.animated.delay-1s {
  -webkit-animation-delay:1s;
  animation-delay:1s;
  -webkit-animation-delay:var(--animate-delay);
  animation-delay:var(--animate-delay)
}
.animated.delay-2s {
  -webkit-animation-delay:2s;
  animation-delay:2s;
  -webkit-animation-delay:calc(var(--animate-delay)*2);
  animation-delay:calc(var(--animate-delay)*2)
}
.animated.delay-3s {
  -webkit-animation-delay:3s;
  animation-delay:3s;
  -webkit-animation-delay:calc(var(--animate-delay)*3);
  animation-delay:calc(var(--animate-delay)*3)
}
.animated.delay-4s {
  -webkit-animation-delay:4s;
  animation-delay:4s;
  -webkit-animation-delay:calc(var(--animate-delay)*4);
  animation-delay:calc(var(--animate-delay)*4)
}
.animated.delay-5s {
  -webkit-animation-delay:5s;
  animation-delay:5s;
  -webkit-animation-delay:calc(var(--animate-delay)*5);
  animation-delay:calc(var(--animate-delay)*5)
}
.animated.faster {
  -webkit-animation-duration:.5s;
  animation-duration:.5s;
  -webkit-animation-duration:calc(var(--animate-duration)/2);
  animation-duration:calc(var(--animate-duration)/2)
}
.animated.fast {
  -webkit-animation-duration:.8s;
  animation-duration:.8s;
  -webkit-animation-duration:calc(var(--animate-duration)*0.8);
  animation-duration:calc(var(--animate-duration)*0.8)
}
.animated.slow {
  -webkit-animation-duration:2s;
  animation-duration:2s;
  -webkit-animation-duration:calc(var(--animate-duration)*2);
  animation-duration:calc(var(--animate-duration)*2)
}
.animated.slower {
  -webkit-animation-duration:3s;
  animation-duration:3s;
  -webkit-animation-duration:calc(var(--animate-duration)*3);
  animation-duration:calc(var(--animate-duration)*3)
}

/*! Custom colors */
.cian-cintelink {
  background-color: #01befe;
}
.blue-cintelink {
  background-color: #326ca1;
}
.text-cian-cintelink {
  color: #01befe;
}
.text-blue-cintelink {
  color: #326ca1;
}
.text-green {
  color: #1ab394;
}
.mediumgray-bg {
  background-color: #e7eaec;
}
.darkgray-bg {
  background-color: #2f4050;
}
.border-separator {
  border-bottom: 2px solid #d1dade;
}
.btn-neutral {
  background-color: #2f4050;
  border-color: #2f4050;
  color: #ffffff;
}
.btn-neutral.btn-outline {
  color: #2f4050;
}
.btn-neutral:hover,
.btn-neutral:focus,
.btn-neutral:active,
.btn-neutral.active,
.open .dropdown-toggle.btn-neutral,
.btn-neutral:active:focus,
.btn-neutral:active:hover,
.btn-neutral.active:hover,
.btn-neutral.active:focus {
  background-color: #293846;
  border-color: #293846;
  color: #ffffff;
}
.btn-neutral.btn-outline:hover {
  color: #ffffff;
}
.btn-outline {
  color: inherit;
  background-color: transparent;
}
.btn-default .badge.badge-success {
  background-color: #1c84c6;
}
.gradient-cintelink {
  background: rgb(121,191,233);
  background: -moz-linear-gradient(45deg, rgba(121,191,233,1) 0%, rgba(50,108,161,1) 100%);
  background: -webkit-linear-gradient(45deg, rgba(121,191,233,1) 0%, rgba(50,108,161,1) 100%);
  background: linear-gradient(45deg, rgba(121,191,233,1) 0%, rgba(50,108,161,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#79bfe9",endColorstr="#326ca1",GradientType=1); 
}

/*! Checkbox */
.container-checkbox, .container-radiobox {
  display: inline-block;
  position: relative;
  height: 30px;
  padding-left: 35px;
  vertical-align: middle;
  cursor: pointer;
  margin: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.container-checkbox input,
.container-radiobox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
.checkmark, .radiomark {
  position: absolute;
  top: 50%;
  left: 0;
  margin-top: -11px;
  height: 22px;
  width: 22px;
  padding: 3px;
  background-color: #fff;
  border: 2px solid #ccc;
}
.container-checkbox:hover input ~ .checkmark,
.container-radiobox:hover input ~ .radiomark {
  border: 2px solid #1ab394;
}
.container-checkbox input:checked ~ .checkmark,
.container-radiobox input:checked ~ .radiomark {
  background-color: #1ab394;
  border: 2px solid #1ab394;
}
.checkmark > i, .radiomark > i {
  display: none;
}
.container-checkbox input:checked ~ .checkmark > i,
.container-radiobox input:checked ~ .radiomark > i {
  display: block;
  color: white;
}
.container-checkbox label,
.container-radiobox label {
  font-size: 13px;
  margin-bottom: 0;
  line-height: 1;
  margin-top: 8px;
}
.container-checkbox label:hover,
.container-radiobox label:hover {
  cursor: pointer;
}
.container-checkbox:hover input:disabled ~ .checkmark,
.container-radiobox:hover input:disabled ~ .radiomark {
  border-color: #ccc;
  cursor: not-allowed;
}
.container-checkbox:hover input:disabled ~ label,
.container-radiobox:hover input:disabled ~ label {
  cursor: not-allowed;
}
.container-checkbox input:disabled,
.container-radiobox input:disabled {
  display: none;
}
.container-checkbox input:checked:disabled ~ .checkmark,
.container-radiobox input:checked:disabled ~ .radiomark {
  border-color: #ccc;
  background-color: #ccc;
}
.radiomark {
  border-radius: 15px;
  text-align: center;
}
.radiomark > i {
  font-size: 9px;
  margin-top: 1px;
}

/*! Steps Custom */
.wizard > .steps li:not(.last):not(.first) {
  margin: 0 10px;
  position: relative;
}
.wizard > .steps .last {
  margin-left: 10px;
  margin-right: auto;
  margin-top: 0;
  margin-bottom: 0;
}
.wizard > .steps .first {
  margin-right: 10px;
  margin-left: auto;
  margin-top: 0;
  margin-bottom: 0;
}
.wizard > .steps ul {
  display: flex;
  justify-content: center;
  text-align: center;
}
.wizard > .steps ul li {
  width: 45px;
  display: inline-block;
  text-align: center;
}
.wizard > .steps .disabled .circle,
.wizard > .steps .disabled .circle:hover,
.wizard > .steps .disabled .circle:active {
  color: #eee;
}
.wizard > .steps .done:not(.current) .circle,
.wizard > .steps .done:not(.current) .circle:hover,
.wizard > .steps .done:not(.current) .circle:active {
  color: #6fd1bd;
}
.wizard > .steps .current a,
.wizard > .steps .done a,
.wizard > .steps .disabled a,
.wizard > .steps .current a:active,
.wizard > .steps .done a:active,
.wizard > .steps .disabled a:active,
.wizard > .steps .current a:hover,
.wizard > .steps .done a:hover,
.wizard > .steps .disabled a:hover {
  background-color: rgba(0,0,0,0);
  padding: 0;
  margin: 0; 
}
.wizard > .steps .disabled .circle,
.wizard > .steps .disabled .circle:hover,
.wizard > .steps .disabled .circle:active,
.wizard > .steps .current .circle,
.wizard > .steps .current .circle:hover,
.wizard > .steps .current .circle:active,
.wizard > .steps .done .circle,
.wizard > .steps .done .circle:hover,
.wizard > .steps .done .circle:active {
  margin: 0 auto;
  padding: 9px;
  width: 35px;
  height: 35px;
  overflow: hidden;
  text-align: center;
  border-radius: 20px;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.wizard > .steps .done .circle,
.wizard > .steps .done .circle:hover,
.wizard > .steps .done .circle:active,
.wizard > .steps .current .circle,
.wizard > .steps .current .circle:hover,
.wizard > .steps .current .circle:active {
  background-color: #1ab394;
}
.wizard > .steps .disabled .circle,
.wizard > .steps .disabled .circle:hover,
.wizard > .steps .disabled .circle:active {
  background-color: #eee;
  color: #aaa;
}
.wizard > .steps .done .circle span,
.wizard > .steps .done a i {
  color: #fff;
}
.wizard > .steps .done a .number,
.wizard > .steps .done a .title {
  display: none;
}
.wizard > .steps .disabled a i,
.wizard > .steps .current:not(.done) a i {
  display: none;
}
.wizard > .steps li a .number {
  margin: auto;
  font-weight: 900;
}
.wizard > .steps .disabled:before,
.wizard > .steps .current:before,
.wizard > .steps li:nth-last-child(2):after,
.wizard > .steps .done:before {
  content: "--------------";
  position: absolute;
  top: 7px;
  font-weight: 900;
  letter-spacing: -2px;
  overflow: hidden;
  color: #eee;
}
.wizard > .steps .disabled:not(.last):before,
.wizard > .steps .current:not(.last):before,
.wizard > .steps .done:not(.last):before {
  left: -26px;
}
.wizard > .steps .last:before {
  left: -31px;
}
.wizard > .steps li:nth-last-child(2):after {
  left: 47.15%;
}
.wizard > .steps .done:nth-last-child(2):after {
  color: #1ab394;
  width: max-content;
}
.wizard > .steps .current:before,
.wizard > .steps .done:before {
  color: #1ab394;
}
.wizard > .steps .first:before {
  content: "";
}
.wizard > .content {
  background-color: inherit;
  margin-top: 20px;
  overflow-y: auto;
}
.wizard-big.wizard > .content {
  min-height: 350px;
}
.wizard > .content .body {
  padding: 0;
  width: 100%;
}
.wizard > .content > .body input {
  border: 1px solid #e5e6e7;
}
.wizard > .content > .body div[class^='col-']:first-child {
  padding-left: 0;
}
.wizard > .content > .body div[class^='col-']:last-child {
  padding-right: 0;
}
.wizard > .actions > ul {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}
.wizard a[href='#cancel'] {
  background-color: white;
  color: #676a6c;
  border: 1px solid #e7eaec;
}
.wizard a[href='#cancel']:hover,
.wizard a[href='#cancel']:active {
  background-color: #f0f0f0;
  color: #676a6c;
}
.wizard a[href='#previous'] {
  background-color: white;
  color: #676a6c;
  border: 1px solid #e7eaec;
}
.wizard a[href='#previous']:hover,
.wizard a[href='#previous']:active {
  background-color: #f0f0f0;
  color: #676a6c;
}
.wizard a[href='#next'] {
  background-color: #1c84c6;
}
.wizard a[href='#next']:hover,
.wizard a[href='#next']:active {
  background-color: #1a7bb9;
}
.wizard > .actions li:nth-child(4) { /* cancel */
  -webkit-order: 1;
  -moz-order: 1;
  order: 1;
}
.wizard > .actions li:nth-child(1) { /* previous */
  -webkit-order: 2;
  -moz-order: 2;
  order: 2;
  margin-left: auto;
}
.wizard > .actions li:nth-child(3) { /* finish */
  -webkit-order: 4;
  -moz-order: 4;
  order: 4;
}
.wizard > .actions li:nth-child(2) { /* next */
  -webkit-order: 3;
  -moz-order: 3;
  order: 3;
}
/*.inmodal {
  background-color: rgba(0,0,0,0.4);
}*/
.inmodal .modal-content {
  border-radius: 0px;
}
/*
.modal.in > .modal-dialog,
.inmodal > .modal-dialog {
  top: 50%;
  transform: translateY(-50%);
}*/

/*! Textos lorem ipsum */
.lorem-ipsum:after {
  content: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.";
}
.lorem-ipsum2:after {
  content: "Habitasse platea dictumst vestibulum rhoncus est pellentesque elit ullamcorper. Sem et tortor consequat id porta nibh venenatis cras sed. Molestie ac feugiat sed lectus vestibulum mattis ullamcorper velit. Phasellus egestas tellus rutrum tellus pellentesque eu tincidunt. Pellentesque habitant morbi tristique senectus et. Nullam eget felis eget nunc lobortis mattis. Magna ac placerat vestibulum lectus mauris ultrices eros. Sed felis eget velit aliquet sagittis id consectetur. Amet risus nullam eget felis eget nunc. A arcu cursus vitae congue mauris rhoncus aenean vel elit. Urna duis convallis convallis tellus id interdum velit laoreet. Blandit turpis cursus in hac habitasse platea dictumst. Tristique et egestas quis ipsum suspendisse. Ac auctor augue mauris augue neque gravida in fermentum. Lobortis scelerisque fermentum dui faucibus in ornare quam viverra orci. Lectus vestibulum mattis ullamcorper velit sed ullamcorper morbi tincidunt ornare. Pellentesque eu tincidunt tortor aliquam nulla facilisi. Pellentesque dignissim enim sit amet venenatis urna cursus. Sit amet nulla facilisi morbi tempus iaculis urna id.";
}
.lorem-ipsum3:after {
  content: "Urna cursus eget nunc scelerisque viverra mauris in. Lectus urna duis convallis convallis tellus id interdum velit laoreet. Risus ultricies tristique nulla aliquet enim tortor at auctor urna. Libero volutpat sed cras ornare arcu dui vivamus arcu felis. Tortor pretium viverra suspendisse potenti nullam ac tortor. Urna duis convallis convallis tellus id. Proin sagittis nisl rhoncus mattis rhoncus urna. Ac orci phasellus egestas tellus rutrum. Leo integer malesuada nunc vel. Nibh venenatis cras sed felis. Quis auctor elit sed vulputate mi sit amet mauris commodo. Vestibulum lorem sed risus ultricies tristique nulla aliquet. Vitae turpis massa sed elementum tempus egestas sed sed risus. Vitae justo eget magna fermentum iaculis. Posuere ac ut consequat semper viverra nam libero. Condimentum vitae sapien pellentesque habitant morbi tristique senectus et. Morbi tristique senectus et netus et malesuada. Id consectetur purus ut faucibus pulvinar elementum integer enim neque. Mauris a diam maecenas sed enim ut sem viverra aliquet.";
}

/*! Position */
.sidebar-menu {
  width: 250px;
  min-height: 200px;
  max-height: 90%;
  overflow: auto;
  position: fixed;
  top: 90px;
  left: 60%;
}
.sidebar-menu > ul {
  padding: 0;
}
.sidebar-menu > ul > li {
  list-style-type: none;
}
.sidebar-menu > ul.nav > li > a {
  padding: 5px 25px;
}
.main-menu {
  width: 60%;
  height: 100%;
  display: flex;
  flex-direction: column;
}
@media (max-width: 767px) {
  .static-mobile{
    position: static;
    margin: 4px;
  }
  .padding-10-mobile{
    padding: 10px;
  }
  .justify-right-mobile{
    margin-top: 4px;
    justify-content: right;
  }
  .menos-padding{
    padding: 7px;
  }
  .main-menu {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
  }
}
.wrapper-menu {
  position: relative;
  display: flex;
  justify-content: space-between;
}

.sininfo{
  margin-bottom: 50px;
}
.relative {
  position: relative;
  min-height: 100vh;
}
.footer {
  position: sticky!important;
  bottom: 0;
  z-index: 1000;
}
.wrapper-content {
  padding-bottom: 210px;
}
@media (max-width: 991px) {
  .wrapper-content {
    padding-bottom: 410px;
  }
}
/* responsive */
@media (max-width: 768px) {
  .title-table{
    display:contents;
  }
  .no-mobile{
    display: none;
  }
  .wrapper-content {
    padding-bottom: 510px;
  }
}

/*
@media (max-width: 991px) {
  .main-menu {
    width: 100%;
  }
}*/
@media (max-width: 767px) {
  .wizard > .steps .disabled a span, 
  .wizard > .steps .done:not(.current) a span {
    display: none;
  }
  .wizard > .steps .disabled .circle,
  .wizard > .steps .disabled .circle:hover,
  .wizard > .steps .disabled .circle:active,
  .wizard > .steps .done:not(.current) .circle,
  .wizard > .steps .done:not(.current) .circle:hover,
  .wizard > .steps .done:not(.current) .circle:active {
    width: 10px;
    /* puede ser */
    /* height: 10px; */
  }
  .wizard > .steps .current {
    width: 40px;
  }
  .wizard > .steps .current .circle,
  .wizard > .steps .current .circle:hover,
  .wizard > .steps .current .circle:active {
    width: 35px;
    height: 35px;
    overflow: hidden;
    text-align: center;
    border-radius: 20px;
    color: #1AB394;
  }
  .wizard > .steps .done a .circle i {
    display: none;
  }
  .wizard > .steps .current.done .circle,
  .wizard > .steps .current.done .circle:hover,
  .wizard > .steps .current.done .circle:active {
    color: #6fd1bd;
  }
  .wizard > .steps .current a span {
    color: #fff;
  }
  .wizard > .steps li:not(.last):not(.first) {
    height: 25px;
    margin: 0 5px;
    position: relative;
  }
  .wizard > .steps .last {
    margin-left: 5px;
  }
  .wizard > .steps .first:after,
  .wizard > .steps .last:before {
    content: "";
  }
  .wizard > .steps .first {
    margin-right: 5px;
  }
  .wizard > .steps .disabled,
  .wizard > .steps .done:not(.current) {
    width: 20px;
    padding-top: 10px;
  }
  .wizard > .steps li:nth-last-child(2):before,
  .wizard > .steps li:nth-last-child(2):after,
  .wizard > .steps .disabled:before,
  .wizard > .steps .disabled:after,
  .wizard > .steps .current:before,
  .wizard > .steps .current:after,
  .wizard > .steps .done:before,
  .wizard > .steps .done:after {
    content: "";
  }
  .wizard > .content > .body div[class^='col-'] {
    padding: 0;
  }
  .wizard > .content {
    height: 70vh;
  }
}

/*! Sizes */
.fh-220 {
  min-height: 220px;
}
.w-1200 {
  width: 100%;
  min-width: 1200px;
}
.w-1000 {
  width: 100%;
  min-width: 1000px;
}
.table-res {
  width: 100%;
  overflow-x: auto;
}
.w-100 {
  width: 100px;
}
.w-200 {
  width: 200px;
}
@media (max-width: 767px) {
  .fh-220 h3 {
    font-size: .9em;
  }
  .fh-220 h1 {
    font-size: 1.5em;
  }
}

/*! Headers modo empresa */
.admin-empresa {
  background-color: #A6D5E3;
  padding: 10px;
}

/*! Data Tables */
table.dataTable {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
  color:  inherit;
  border-bottom:  1px solid #e7eaec;
}
table.dataTable.no-footer {
  border-bottom:  1px solid #e7eaec;
}
table.dataTable td {
  border-top:  1px solid #e7eaec;
  border-bottom:  1px solid #e7eaec;
}
.dataTables_wrapper {
  padding-bottom: 0;
}
table.dataTable thead .sorting:after, 
table.dataTable thead .sorting_asc:after, 
table.dataTable thead .sorting_desc:after, 
table.dataTable thead .sorting_asc_disabled:after, 
table.dataTable thead .sorting_desc_disabled:after {
  bottom: unset;
  right: unset;
  display: inline;
}

.visible-xlg {
  display: none;
}
 
@media (min-width: 1400px) {
  .visible-xlg {
    display: block;
  }
}

/*! Chosen Select Plugin */
.chosen-container {
    width: 100% !important;
}
.chosen-container-single .chosen-single,
.chosen-container-multi .chosen-choices {
  border-color: #e5e6e7;
  height: 34px !important;
  /* overflow-y: auto; */
  overflow-x: hidden;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-image: none;
  font-family: inherit;
}
.chosen-container-active .chosen-single,
.chosen-container-active.chosen-with-drop .chosen-single,
.chosen-container-active .chosen-choices {
  border-color: #1ab394;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-image: none;
}
.chosen-container-single .chosen-single div b {
  margin-top: 2px;
  color: inherit;
}
.chosen-container-multi .chosen-choices {
  padding-top: 2px;
  overflow-y: auto;
}
.chosen-container-single .chosen-single div b {
  margin-top: 4px;
}
.form-control[disabled], fieldset[disabled] .form-control {
  cursor: default;
}
.chosen-disabled .chosen-choices,
.chosen-disabled .chosen-single {
  background-color: #eee !important;
}
.chosen-container-multi.chosen-disabled,
.chosen-container-single.chosen-disabled {
  opacity: 1 !important;
}
.chosen-container-multi .chosen-choices li.search-choice {
  max-width: 87%;
}

/*! Boxes */
.select-box {
  border-radius: 5px;
  padding: 20px 5px;
  margin-bottom: 10px;
}
.filtros ul.dropdown-menu {
  max-height: 300px;
  overflow-y: auto;
}
.cuadro-tyc {
  max-height: 30vh; 
  overflow-y: auto; 
  border: 1px solid lightgray;
}
.modal-height {
  max-height: 80vh; 
  overflow-y: auto; 
}

/*! Display */
.d-none {
  display: none;
}

/* New side navbar */

@media (min-width: 768px) {
  /*
  .navbar-static-side{
    width: var(--lateral-full-sidebar);
  }*/

  #page-wrapper {
    margin: 0 0 0 var(--lateral-full-sidebar);
  }
}

/* cambiar tamaño cuando esta full la sidebar */

.sidebar-small-icon {
  font-size: 14px;
}

.sidebar-large-icon {
  font-size: 20px;
}

#side-menu a i {
  color: #ffffffd4;
}

#side-menu a i:hover {
  color: #cfccccd4;
}

.nav-second-level li a {
  padding-left: 26px;
}

.border-none {
  border-left: none;
}

.minimal-button {
  background-color: #fff;
  color: #333;
  cursor: pointer;
}

/* cambios en vehiculo.mod.php y usuario_fuelsentry -> FILTROS DE BÚSQUEDA margen de collapse-tools*/
.float-bottom-25 {
  bottom: 10px;
  position: absolute;
  right: 10px;
}

.info-box {
  background-color: rgba(255,255,255,0.2);
  padding: 0.15rem;
}

.abc-checkbox label::after {
  cursor: pointer;
  display: inline-block;
  position: absolute;
  width: 16px;
  height: 16px;
  left: 0;
  top: 2px;
  margin-left: -1.25rem;
  padding-left: 3px;
  padding-top: 1px;
  font-size: 11px;
  color: #495057;
}

.abc-checkbox label::before {
  cursor: pointer;
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  top: 2px;
  left: 0;
  margin-left: -1.25rem;
  border: 1px solid #ced4da;
  border-radius: 3px;
  background-color: #fff;
  transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
}

.abc-checkbox label {
  cursor: pointer;
  display: inline;
  vertical-align: top;
  position: relative;
  padding-left: 5px;
}

.form-inline label {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  margin-bottom: 0;
}

.form-check-label {
  margin-bottom: 0;
  margin-left: 2rem;
  margin-top: 0.25rem;
}

label {
  display: inline-block;
  margin-bottom: .5rem;
}

.abc-checkbox input[type="checkbox"], .abc-checkbox input[type="radio"] {
  position: static;
  margin-left: 0;
  cursor: pointer;
  opacity: 0;
  z-index: 1;
}

.form-inline .form-check-input {
  position: relative;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  margin-top: 0;
  margin-right: .25rem;
  margin-left: 0;
}

input[type="checkbox"], input[type="radio"] {
  box-sizing: border-box;
  padding: 0;
}

.form-check-input {
  position: absolute;
  margin-top: .3rem;
  margin-left: -1.25rem;
}

button, input, optgroup, select, textarea {
  margin: 0;
      margin-top: 0px;
      margin-right: 0px;
      margin-left: 0px;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

.padding-r-1 {
  padding-right: 1rem;
}

.padding-t-2 {
  padding-top: 2rem;
}

.padding-t-3 {
  padding-top: 3rem;
}

.margin-r-2 {
  margin-right: 2rem;
}

.margin-t-1 {
  margin-top: 1rem;
}
.margin-1 {
  margin: 1rem;
}

.padding-05 {
  padding:0.5rem
}

@media (max-width: 991px) { 
  .checkbox-mobile{
    margin-left: -1rem;
    padding-top:1.5rem;
  }
  
  .show-deleted{
    padding-top:1.5rem;
  }
} 

.flex-label {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media (max-width: 768px) {
  .btn-responsive {
    padding:2px 4px;
    font-size:80%;
    line-height: 1;
    border-radius:3px;
  }
}

@media (min-width: 769px) and (max-width: 992px) {
  .btn-responsive {
    padding:4px 9px;
    font-size:90%;
    line-height: 1.2;
  }
}

body.mini-navbar .navbar-default .nav > li > a {
	font-size: 20px;
}

.font-weight-normal {
  font-weight: 500;
}

.btn-exportar {
  background-color: #145b9b;
}

/*cambiar el tamaño de las columnas on hover de la barra lateral*/
body.mini-navbar .navbar-default .nav > li > .nav-second-level li a {
  min-width: 165px;
}

#id_equipo_chosen,
#producto_chosen,
#cantidad_chosen,
#id_empresa_chosen {
  min-width: 200px;
}

#id_equipo_chosen .chosen-single,
#producto_chosen .chosen-single,
#cantidad_chosen .chosen-single,
#id_empresa_chosen .chosen-single {
  overflow: hidden;
}


/*display block*/
.d-block{
  display: block;
}

/* perfil chiquito super style's */
.profile-circle {
  text-align: center;
  width: 4rem;
  height: 4rem;
  line-height: 3rem;
  padding-top: 4px;
  background: rgb(16,143,133);
  background: linear-gradient(0deg, rgba(16,143,133,1) 0%, rgba(41,177,137,1) 100%);
  border-radius: 50%;
}
/*body.mini-navbar .nav {
  position:fixed;
  left:0;
  top:0;
}

body.mini-navbar .nav-header {
 max-width:70px;
}

body.mini-navbar .navbar-right {
  position:relative;
}*/
/*
.pace-done .nav-header {
  max-width: var(--lateral-full-sidebar);
}
*/
/*.mini-navbar .navbar-static-side, .body-small .navbar-static-side {*/
.mini-navbar .navbar-static-side .sidebar-collapse, .body-small .navbar-static-side .sidebar-collapse {
position: fixed;
width: 70px;
z-index: 2001;
height: 100%;
}
/*
.mini-navbar .nav .nav-second-level {

left: 70px !important;
top: 0px;

}*/

/*box-shadow: inset 10px 0px 0px 0px rgba(20,219,20,1);*/

.nav > li.active {
  border-left:none;
  box-shadow: inset 4px 0px 0px 0px #19aa8d;
}

/*.mini-navbar .nav > li > a {
  padding: 16px 20px 14px 25px;
}*/

/*.mini-navbar .nav li:nth-of-type(2) a i{
  padding-top:50px;
}*/
.mini-navbar .metismenu li.help{
  position: fixed;
  width: 70px;
  bottom: 80px;
}
.mini-navbar .nav-second-level li.help{
 position: relative;
 bottom: 0px;
 }

.info-boton{
  width: auto!important;
}

.mini-navbar .metismenu li:last-child{
  position: fixed;
  bottom: 25px;
}
.mini-navbar .nav-second-level li:last-child{
 position: relative;
 bottom: 0px;
 }
/*body.mini-navbar .nav-header {
  margin-bottom:80px;
}*/
.d-flex-center{
  display:flex;
  justify-content: center;
  align-items: center;
}

.metrica {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  height: 96px;

}

.metrica i{
	font-size:2rem;
}

.metrica-gradient-blue{
  background: rgb(76,105,176);
  background: linear-gradient(73deg, rgba(76,105,176,1) 0%, rgba(104,133,202,1) 50%);
  color:white;
}

@media (min-width:600px){
  .__metricas-gral .row:last-child {
    margin-top:1rem;
  }
}

.shadow-metric{
  box-shadow: 0px 2px 5px #0000006e;
}
.text-metric-shadow{
  text-shadow: 2px 2px 4px #00000038;
}
.yellow-gradient{
  background: #EAAE3C;  /* fallback for old browsers */
background: -webkit-linear-gradient(to right, #F37335, #EAAE3C);  /* Chrome 10-25, Safari 5.1-6 */
background: linear-gradient(to right, #F37335, #EAAE3C); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  color:#fff;

}
.purple-gradient{
  background: #AA20C6;  /* fallback for old browsers */
background: -webkit-linear-gradient(to right, #9733EE, #AA20C6);  /* Chrome 10-25, Safari 5.1-6 */
background: linear-gradient(to right, #9733EE, #AA20C6); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
 /* color_#fff; */
}

.green-gradient{
  background: #02AAB0;  /* fallback for old browsers */
background: -webkit-linear-gradient(to left, #00CDAC, #02AAB0);  /* Chrome 10-25, Safari 5.1-6 */
background: linear-gradient(to left, #00CDAC, #02AAB0); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
color:#fff;
}

.red-gradient{
  background: #ea0909;  /* fallback for old browsers */
  background: -webkit-linear-gradient(9deg, #2c3e50, #ea0909);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(9deg, #2c3e50, #ea0909); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  color: white;
}

.flex-column{
  flex-direction:column;
}
.metrica h1{
		font-size: 1.7rem;
    margin: 0;
}
.metrica h3 {
  font-size: 1.1rem;
}
@media (max-width:768px){
  .__transacciones-title{
    margin-top:2rem;
  }
	.content .row.d-flex-center{
		flex-direction: column;
	}

	.content .container{
		margin-left: -3rem;
	}

}


@media (max-width:545px){
  .transacciones h3  {
    font-size: 1rem;
  }

  .transacciones h1 {
		font-size: 1.6rem;    
  }
	.__metricas-gral row:last-child{
		margin-top:0.65rem;
	}
	/*.green-gradient{
		width:27.5%;
	}*/
	.metrica h1{
		margin-top:20px;
	}
}

@media (min-width: 768px) and (max-width: 992px) {
  .transacciones h1 {
		font-size: 2rem;    
  }
}
.shadow-4 {
  box-shadow: 0 1px 1px rgba(0,0,0,0.15), 
              0 2px 2px rgba(0,0,0,0.15), 
              0 4px 4px rgba(0,0,0,0.15), 
              0 8px 8px rgba(0,0,0,0.15);
}
.d-flex.a-center.j-space-around{
  display: flex;
  justify-content: space-around;
  align-items: center;

}
.metrica-v-to-h{
  display:flex;
  flex-direction:column;
  justify-content:center;
  align-items:center;
}
.metrica-v-to-h h1,
.metrica-v-to-h h3,
.metrica-v-to-h h4{
  margin:0 !important;
  padding:0.5rem;
}
@media (max-width:800px){
  
  .d-flex.a-center.j-space-around{
    flex-direction: column;
    }
}
@media (max-width:768px){
  .metrica-v-to-h{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    height: 96px;  
  }
}

/* Textos */
.text-truncate {
  overflow: hidden !important;
  text-overflow: ellipsis;
}

#tableUploadGeneralContainer.dropdown-menu {
  max-height: 475px;
  overflow-x: auto;
  overflow-y: overlay; 
}

.pv-1 {
  padding: 25px 5px;
  font-size: .8em;
}

.m-b-xl {
  margin-bottom: 50px;
}

/* Inspinia old */
.cd-top.cd-is-visible {
    visibility: visible;
    opacity: 1;
}
.cd-top.cd-is-visible, .cd-top.cd-fade-out, .no-touch .cd-top:hover {
    -webkit-transition: opacity .3s 0s, visibility 0s 0s;
    -moz-transition: opacity .3s 0s, visibility 0s 0s;
    transition: opacity .3s 0s, visibility 0s 0s;
}
.cd-top {
    display: inline-block;
    height: 40px;
    width: 40px;
    z-index: 100000;
    position: fixed;
    bottom: 40px;
    right: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
    overflow: hidden;
    text-indent: 100%;
    white-space: nowrap;
    background: #6666FF url(../../img/cd-top-arrow.svg) no-repeat center 50%;
    visibility: hidden;
    opacity: 0;
    -webkit-transition: opacity .3s 0s, visibility 0s .3s;
    -moz-transition: opacity .3s 0s, visibility 0s .3s;
    transition: opacity .3s 0s, visibility 0s .3s;
}
@media screen and (min-width: 1024px) {
  .cd-top {
    height: 60px;
    width: 60px;
    right: 30px;
    bottom: 30px;
  }
}
@media screen and (min-width: 768px) {
  .cd-top {
    right: 20px;
    bottom: 20px;
  }
}

#cumulative_site_chosen > a {
  background-color: white;
}

.input-row {
  margin-bottom: .5rem;
}

.chosen-container a.chosen-single {
  background-color: white!important;
}

.chosen-disabled a.chosen-single {
  background-color: #eee!important;
}

@media (max-width: 500px){
  #wrapper {
   overflow: unset!important;
  }
}

@media (max-width: 768px) {
  #page-wrapper {
    transition: none!important;
  }
}

.tagtag.active {
  background-color: #04A;
  color: white;
}
.tag-item.active {
  background-color: #04A;
  color: white;
}

ul.nav.nav-second-level {
  flex-direction: column!important;
}

.scroll-1 {
  scroll-margin: 3em;
}

.wd-20 {
  width: 20%;
}

.wd-10 {
  width: 10%;
}

.wd-10rem {
  width:10rem;
}

.wd-point-one-percent {
  width:0.1%;
}

.grouped-tank-row {
  margin-top:8%;
  margin-bottom:5%;
}

.m-tank {
  margin:  5px;
  margin-top: -15px!important;
  margin-bottom: -15px!important;
}

/* .sticky-top-1 {
  position: -webkit-sticky;
  position: sticky;
  top: 70px;
  z-index: 1020;
} */

.ASC span {
  color: green;
}
.DESC span {
  color: red;
}
.orden {
  cursor: pointer;
}

.datepicker.datepicker-dropdown {
  z-index: 10000!important;
}

.text-small {
 font-size: 10px;
}

.completion-dropdown {
  width: 335px;
  padding: 4px;
}

.circle-progress {
  width: 18px; 
  height: auto;
}

.circle-progress-value {
	stroke-width: 8px;
	stroke: white;
	stroke-linecap: round;
}
.circle-progress-circle {
	stroke-width: 10px;
	stroke: rgba(248, 245, 245, 0.418);
}
.circle-progress-text {
	fill: #888;
}

.text-blue-random {
  color: #073763;
}

.bg-lightblue {
  background-color: rgba(215, 230, 241, 0.25);;
  padding: 12px;
  border-radius: 10px;
  min-height: 86px!important;
  display: flex;
  justify-content: center;
}

@media (min-width: 992px) {
  .modal-size-md {
    max-width: 612px!important;
  }
}

.text-size-card {
  font-size: 14px;
  font-weight: 600;
  line-height: 17px;
}

#map {
  width: 100%;
  height: 300px;
}

#modalId * {
  line-height: 17px;
}

.fs-20 {
  font-size: 20px;
}

.text-decoration-none {
  text-decoration: none;
}

.pointer-events-none {
  pointer-events: none;
}

.d-flex {
  display: flex;
}

.rounded-alert {
  border-radius: 10px;
}

.pagination > li.active > a {
  background-color: #00CDAC;
  color: white;
}

.custom-select {
  display: inline-block;
  width: 100%;
  height: calc(1.5em + .75rem + 2px);
  padding: .375rem 1.75rem .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  vertical-align: middle;
  background: #fff url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5'%3E%3Cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3E%3C/svg%3E") right .75rem center/8px 10px no-repeat;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.width-control {
  /* width: 86%!important; */
  position: relative;
  flex: 1 1 auto;
  width: 1%;
  min-width: 0;
}

.table-row-disabled {
  pointer-events: none !important;
}

.selected-role {
  background-color: #ebf3f9;
}

.text-role {
  color: #074984;
  font-size: 14px;
  font-weight: 700;
}

.role-description {
  text-wrap: wrap;
  width: 100%;
  overflow-wrap: break-word;
  font-size: 12px;
  font-weight: 400;
  line-height: 13px;
}

.dropdown-w-300 {
  min-width: 300px;
}

.vertical-separator {
  height: 45%;
  border-left: 4px solid #E7EAEC;
  margin: 0 10px; /* Adjust the margin as needed */
  align-self: center;
}

/* Bootstrap 5.2 fixes */
a.btn.disabled {
  border-width: 0px;
}

table.dataTable thead th,table.dataTable thead td {
  background: transparent;
}

.vs--disabled {
  .vs__clear,.vs__dropdown-toggle,.vs__open-indicator,.vs__search,.vs__selected {
      cursor: var(--vs-disabled-cursor);
      background-color: var(--vs-disabled-bg)
  }
}

.icon-svg-pos {
  width: 18px;
  margin-bottom: 2px;
}

.badge-outline {
  background-color: lightgray;
  color: black;
  border: 1px solid gray;
}

.mt-1px {
  margin-top: 1px;
}

.hc-btn {
  display: inline-block;
  align-self: center;
}